package com.idv2.learnjsp;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Date;
import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class for Servlet: DoLogin
 *
 */
 public class DoLogin extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
		
	/**
	 * 自动生成的序列号
	 */
	private static final long serialVersionUID = 1712997570133697631L;

	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		// 获取用户名和密码
		String username = request.getParameter("username");
		String password = request.getParameter("password");
		
		// 判断用户名和密码是否正确
		// 实际应用中通常是连接数据库进行判断，这里作为例子，简单地判断一下
		if ("charlee".equals(username) && "123456".equals(password)) {
			
			// 登录成功，设置session(session作用域)
			HttpSession session = request.getSession();
			session.setAttribute("username", username);
			
			// 将登录计数值加一(application作用域)
			ServletContext context = getServletContext();
			Integer countObject = (Integer) context.getAttribute("logincount");
			int count = 0;
			if (countObject != null) {
				count = countObject.intValue();
			}
			count++;
			context.setAttribute("logincount", new Integer(count));
			
			// 设置用户的登录时间(request作用域)
			GregorianCalendar now = new GregorianCalendar();
			String time = now.get(GregorianCalendar.YEAR) + "-";
			time += now.get(GregorianCalendar.MONTH) + "-";
			time += now.get(GregorianCalendar.DATE) + " ";
			time += now.get(GregorianCalendar.HOUR) + ":";
			time += now.get(GregorianCalendar.MINUTE) + ":";
			time += now.get(GregorianCalendar.SECOND);
			request.setAttribute("logintime", time);
			
			// 转向 sessiontest
			RequestDispatcher rd = request.getRequestDispatcher("/loginsuccess");
			rd.forward(request, response);
			
		} else {
			// 密码输入错误，显示错误画面
			response.setContentType("text/html; charset=UTF-8");
			PrintWriter out = response.getWriter();
			out.println("<html>");
			out.println("<head>");
			out.println("<title>登录失败</title>");
			out.println("</head>");
			out.println("<body>");
			out.println("登录失败，请<a href=\"/LearnJSP/login.html\">重新登录</a>。");
			out.println("</body>");
			out.println("</html>");
		}
	}   	  	    
}